Bug 73183 - warning: gdk_keyboard_grab
warning: gdk_keyboard_grab
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: usermode (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jindrich Novy
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-31 11:39 EDT by Chris Ricker
Modified: 2015-01-07 19:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-11 03:58:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ricker 2002-08-31 11:39:26 EDT
With up2date-2.9.61-1, I get

[kaboom@skuld kaboom]$ up2date

** (up2date:2142): WARNING **: gdk_keyboard_grab returned 3
[kaboom@skuld kaboom]$
Comment 1 Adrian Likins 2002-08-31 21:08:40 EDT
ugh. Now that I havent a freaking clue where it comes from.

Any what screen that shows up at?
Comment 2 Chris Ricker 2002-09-01 00:08:51 EDT
There wasn't really a screen associated with it.  I typed up2date at the prompt,
the "enter the root password" box came up, I typed the root password, a couple
of seconds later the error appeared in my shell, and a couple of seconds after
that the "go away, the server's busy" error box appeared.
Comment 3 Chris Ricker 2002-09-01 00:28:08 EDT
Hmm, I take that back.  I just tried it again, and what I see is:

I type up2date
warning appears as "login as root" box appears

If I hit cancel on the authentication, and then run up2date a 2nd time, it
doesn't appear again when the "login as root" box appears the 2nd time.
Comment 4 Adrian Likins 2002-09-01 00:47:33 EDT
hmm, sounds more like a "usermode" bug to me...


bouncing there....
Comment 5 Chris Ricker 2002-10-19 08:57:16 EDT
I'm still seeing this on a RHL 8 box with:

up2date-3.0.7-1
usermode-1.63-1


I'm running KDE on that machine.  It might be Yet Another Thing which works on
RH under GNOME but not KDE?
Comment 6 Jindrich Novy 2005-01-11 03:58:52 EST
Chris, this warning is no more present with installed usermode-1.76.

Note You need to log in before you can comment on or make changes to this bug.